Subject: bug#463: multiple line Local Variables at the TOP of a file

From: [email-masked]
Date: Sat, 21 Jun 2008 17:59:35 +0800

Regarding (info "(emacs)Specifying File Variables"),
I am doing fine with my:
# Local Variables:
# compile-command: "txt2html --no-xhtml -8 hhh.txt|\
# perl -pwe 'print q(<meta http-equiv=\"Content-Type\" content=\
# \"text/html; charset=utf-8\">\n<meta http-equiv=\"Content-Language\"\
# content=\"zh-tw\">\n) if /^<META/i'> ghhh8.html"
# End:

However, the problem is I am always appending things to this file, and
before long, the Local Variables are too far from the bottom to be
evaluated.

Therefore, I attempted to move them to the top of the file,
# -*- compile-command: "txt2html --no-xhtml -8 hhh....

The problem is I also want to not have any long lines in my file, but
the Info page is not clear how to make a multiple line first line.
Please make a way. No fair having different rules at top vs. bottom of files.